SystemOrganization addCategory: #PruebaPabloTestingTP1!

TestCase subclass: #TestAptaParaJugar
	instanceVariableNames: 'computadora'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PruebaPabloTestingTP1'!

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/13/2013 15:40'!
computadora
	^ computadora! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/13/2013 15:40'!
computadora: anObject
	computadora := anObject! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/13/2013 15:50'!
setUp
	computadora := Computadora new.! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/14/2013 01:38'!
testAptitudConPlacaGpu
	
	self computadora placaDeVideo: (Gpu new).
	
	self assert: self computadora aptaParaVideoJuegos.
	
	! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/14/2013 01:38'!
testAptitudConPlacaOnBoard

	self computadora placaDeVideo: (OnBoard new).
	
	self deny: self computadora aptaParaVideoJuegos.! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/14/2013 01:41'!
testAptoConPlacaComun

	| comun |
	
	comun := Comun new.

	comun resolucion: (1024*768). 
	
	comun consumoPromedio: 150.
	
	self computadora placaDeVideo: comun.
	
	self assert: self computadora aptaParaVideoJuegos.
	
! !

!TestAptaParaJugar methodsFor: 'accessing' stamp: 'Braian 4/14/2013 01:45'!
testNoAptoConPlacaComun

	| comun |
	
	comun := Comun new.

	comun resolucion: (1024*768). 
	
	comun consumoPromedio: 2.5.
	
	self computadora placaDeVideo: comun.
	
	self assert: self computadora aptaParaVideoJuegos.! !

TestCase subclass: #TestConsumoComputadora
	instanceVariableNames: 'computadora crt led lcd'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PruebaPabloTestingTP1'!

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Brimba 4/7/2013 01:42'!
computadora
	^ computadora! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Brimba 4/7/2013 01:42'!
computadora: anObject
	computadora := anObject! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:08'!
crt
	^ crt! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:08'!
crt: anObject
	crt := anObject! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:08'!
lcd
	^ lcd! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:08'!
lcd: anObject
	lcd := anObject! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:09'!
led
	^ led! !

!TestConsumoComputadora methodsFor: 'accessing' stamp: 'Braian 4/14/2013 02:09'!
led: anObject
	led := anObject! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Braian 4/14/2013 02:36'!
setUp 
	computadora := Computadora new.
! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Brimba 4/7/2013 01:53'!
testConsumoComputadoraConDiscoMagnetico

	self computadora agregarComponente: (DiscoMagnetico new: 1000). 
	
	self assert: self computadora consumoTotal = 6.! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Braian 4/14/2013 01:50'!
testConsumoComputadoraConDiscoSolido
	
	self computadora agregarComponente: (DiscoSolido new: 300). 
	
	self assert: self computadora consumoTotal = 300.! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Braian 4/14/2013 03:41'!
testConsumoComputadoraMagneticoGpuCrt
	
	|pantalla crt1|
	
	crt1 := CRT new.
	pantalla := Producto new.
 
	pantalla tecnologia: crt1.
 
 	self computadora 
  			  placaDeVideo: (Gpu new: 1000 y: 1000 y: (pantalla inicializarConTamanio: (5 sqrt) conPPP: 480) y: 14).
    
	self assert: computadora consumoTotal = 11.608.
	
! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Braian 4/14/2013 03:27'!
testConsumoComputadoraMagneticoGpuLcd
	
	|pantalla lcd1|
	
	lcd1 := LCD new.
	pantalla := Producto new.
 
	pantalla tecnologia: lcd1.
 
 	self computadora placaDeVideo: (Gpu new: 1000 y: 1000 y: (pantalla inicializarConTamanio: (2 sqrt) conPPP: 300) y: 14).
    
	self assert: computadora consumoTotal = 7.9.
	
! !

!TestConsumoComputadora methodsFor: 'as yet unclassified' stamp: 'Brimba 4/7/2013 03:10'!
testConsumoComputadoraPlacasConCoolers

	self computadora componentes: Bag new.
	
	self computadora placaDeVideo: (Gpu new: 800 y: 600 y: (Pantalla new: 1254400) y: 14).
	
	self assert: self computadora consumoTotal = 11.8.! !

TestCase subclass: #TestGeneralTP1
	instanceVariableNames: 'led lcd crt monitor smartTv tv cable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PruebaPabloTestingTP1'!

TestGeneralTP1 class
	instanceVariableNames: 'crt led lcd monitor tv smartTv'!

TestGeneralTP1 class
	instanceVariableNames: 'crt led lcd monitor tv smartTv'!

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:18'!
setUp

"Voy a crear las tecnologas."
	crt := CRT new .
	led := LED new.
	lcd := LCD new.
	
"Voy a crear un cable"	
	cable := Cable  new.
	cable definicion: 1000.
	
"Voy a crear las pantallas, pero para poder relizar mejor las pruebas en vez de usar nuestra implementacin del NEW, los creamos a mano, salvo el SmartTV ya que este solo puede ser LED."

	monitor := Monitors new.
	monitor inicializarConTamanio: 10 conPPP: 100.

	tv := TV new.
	tv inicializarConTamanio: 10 conPPP: 100.
	
	smartTv := SmartTV  teFabricoConTecnologia: led conTamanio: 10  conPPP: 100. 
! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:23'!
testConsumoCRTConEntradaAudioVideo
	
	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: AudioVideo  .
	monitor teAgregoEntrada: AudioVideo  .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 5*tamao. En ambos casos el tamao es 10.
	Como la entrada es AudioVideo, la misma solo aumenta un 10%."
	self assert: 55 equals: tv tuConsumo.
	self assert: 55 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:24'!
testConsumoCRTConEntradaHDMI
	
	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: HDMI .
	monitor teAgregoEntrada: HDMI .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 5*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI , la misma aumenta un 20%."
	self assert: 60 equals: tv tuConsumo.
	self assert: 60 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:09'!
testConsumoCRTConEntradaRF
	
	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: RF.
	monitor teAgregoEntrada: RF.
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 5*tamao. En ambos casos el tamao es 10.
	Como la entrada es RF, la misma no aumenta el consumo."
	self assert: 50 equals: tv tuConsumo.
	self assert: 50 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:18'!
testConsumoCRTConEntradaVGA
	
	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: VGAcable .
	monitor teAgregoEntrada: VGAcable .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 5*tamao. En ambos casos el tamao es 10.
	Como la entrada es VGA, la misma solo aumenta un 0.001 * definicin del cable."
	self assert: 51 equals: tv tuConsumo.
	self assert: 51 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 17:09'!
testConsumoCRTSinEntradas
	
	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	"Recordemos que la formula es 5*tamao. En ambos casos el tamao es 10."
	self assert: 50 equals: tv tuConsumo.
	self assert: 50 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:30'!
testConsumoLCDConEntradaAudioVideo
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd.
	monitor  tecnologia:  lcd.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: AudioVideo  .
	monitor teAgregoEntrada: AudioVideo  .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI, la misma aumenta un 10%."
	self assert: 44 equals: tv tuConsumo.
	self assert: 44 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:29'!
testConsumoLCDConEntradaHDMI
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd.
	monitor  tecnologia:  lcd.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: HDMI .
	monitor teAgregoEntrada: HDMI .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI, la misma aumenta un 20%."
	self assert: 48 equals: tv tuConsumo.
	self assert: 48 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:29'!
testConsumoLCDConEntradaRF
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd.
	monitor  tecnologia:  lcd.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: RF .
	monitor teAgregoEntrada: RF .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es RF, la misma no aumenta la definicin."
	self assert: 40 equals: tv tuConsumo.
	self assert: 40 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 22:27'!
testConsumoLCDConEntradaVGA
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd.
	monitor  tecnologia:  lcd.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: VGAcable .
	monitor teAgregoEntrada: VGAcable .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es VGA, la misma solo aumenta un 0.001 * definicin del cable."
	self assert: 41 equals: tv tuConsumo.
	self assert: 41 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 17:08'!
testConsumoLCDSinEntradas
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd.
	monitor  tecnologia:  lcd.
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10."
	self assert: 40 equals: tv tuConsumo.
	self assert: 40 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 00:39'!
testConsumoLEDConEntradaAudioVideo
	
	"Asigno tanto a TV como a Monitor la tecnologa LED"
	tv tecnologia: led .
	monitor  tecnologia:  led.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: AudioVideo .
	monitor teAgregoEntrada: AudioVideo .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI, la misma aumenta un 10%."
	self assert: 11 equals: tv tuConsumo.
	self assert: 11 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 00:37'!
testConsumoLEDConEntradaHDMI
	
	"Asigno tanto a TV como a Monitor la tecnologa LED"
	tv tecnologia: led .
	monitor  tecnologia:  led.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: HDMI  .
	monitor teAgregoEntrada: HDMI  .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI, la misma aumenta un 20%."
	self assert: 12 equals: tv tuConsumo.
	self assert: 12 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 00:38'!
testConsumoLEDConEntradaRF
	
	"Asigno tanto a TV como a Monitor la tecnologa LED"
	tv tecnologia: led .
	monitor  tecnologia:  led.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: RF .
	monitor teAgregoEntrada: RF .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es HDMI, no modifica el consumo."
	self assert: 10 equals: tv tuConsumo.
	self assert: 10 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 00:36'!
testConsumoLEDConEntradaVGA
	
	"Asigno tanto a TV como a Monitor la tecnologa LED"
	tv tecnologia: led .
	monitor  tecnologia:  led.
	
	"Agrego una entrada tanto a la TV como al Monitor"
	tv teAgregoEntrada: VGAcable .
	monitor teAgregoEntrada: VGAcable .
	
	"Conecto el cable a ambas pantallas"
	tv conectarEntrada: 1 conCable: cable.
	monitor conectarEntrada: 1 conCable: cable. 
	
	"Recordemos que la formula es 4*tamao. En ambos casos el tamao es 10.
	Como la entrada es VGA, la misma solo aumenta un 0.001 * definicin del cable."
	self assert: 11 equals: tv tuConsumo.
	self assert: 11 equals: monitor tuConsumo. ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 17:08'!
testConsumoLEDSinEntradas
	
	"Asigno tanto a TV como a Monitor la tecnologa LED. El SmartTv es siempre LED"
	tv tecnologia: led.
	monitor  tecnologia:  led.
	
	"Recordemos que la formula es 1*tamao. En los tres casos el tamao es 10."
	self assert: 10 equals: tv tuConsumo.
	self assert: 10 equals: monitor tuConsumo.
	self assert: 10 equals: smartTv tuConsumo.  ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 16:30'!
testDefinicionAnalogico
	"Muestra la definicin tanto para televisores como para monitores analgicos."

	"Les asigno la tecnologa CRT por ser la nica tecnologa analgica."
	tv tecnologia: crt.
	monitor tecnologia: crt.
	
	self assert: 480 equals: tv tuDefinicionMaxima.
	self assert: 480 equals: tv tuDefinicionMaxima.! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 17:09'!
testDefinicionDigital
	"Muestra la definicin tanto para pantallas digitales"
	
	"Para manejar nmeros ms amistosos, cambiamos los tamaos de las pantallas."
	tv tamanio: 2 sqrt.
	monitor tamanio: 2 sqrt.
	
	"Les asigno la tecnologa LED para la primera parte de este Test."
	tv tecnologia: lcd.
	monitor tecnologia: lcd.
	
	self assert: 100 equals: tv tuDefinicionMaxima.
	self assert: 100 equals: tv tuDefinicionMaxima.
	
	"Cambiamos la tecnologa a LED. El resultado debera ser el mismo que dio con LCD."
	tv tecnologia: led.
	monitor tecnologia: led.
	
	self assert: 100 equals: tv tuDefinicionMaxima.
	self assert: 100 equals: tv tuDefinicionMaxima.	
	
	"Por ltimo, testeamos que para SmartTV (que sera LED unicamente) tambin funcione"
	smartTv tamanio: 2 sqrt.
	self  assert: 100 equals: smartTv  tuDefinicionMaxima.! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/6/2013 17:17'!
testRefrescoSinEntradas	
	"Recordemos que siempre la tasa de refresco sin entradas es:
         Televisiones: 	90  	Hz.
	   Monitores    :     	120  	Hz.
         SmartTV      :       50% mayor que las TV, o sea, 135. 
	Nunca depende de la tecnologa que se est utilizando."


	"Asigno tanto a TV como a Monitor la tecnologa CRT"
	tv tecnologia: crt.
	monitor  tecnologia:  crt.
	
	self assert: 90 equals: tv tuRefresco .
	self assert: 120 equals: monitor tuRefresco.
	
	"Asigno tanto a TV como a Monitor la tecnologa LCD"
	tv tecnologia: lcd .
	monitor  tecnologia:  lcd.
	
	self assert: 90 equals: tv tuRefresco .
	self assert: 120 equals: monitor tuRefresco.
	
	"Asigno tanto a TV como a Monitor la tecnologa LED"
	tv tecnologia: led .
	monitor  tecnologia:  led.
	
	self assert: 90 equals: tv tuRefresco .
	self assert: 120 equals: monitor tuRefresco.
	self assert: 135 equals: smartTv tuRefresco . 
	
	
	
	 ! !

!TestGeneralTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 02:42'!
testSoloSeMantieneUnaEntradaEnchufada

	"En este test se prueba que no solo hallan ms de una entrada para alguna pantalla en particular,
	sino que al enchufar un cable en distintas entradas, siempre halla un nico cable conectado."
	
	"Asigno a TV una tecnologa cualquiera"
	tv tecnologia: crt.
	
	"Agrego dos entradas a la TV"
	tv teAgregoEntrada: RF .
	tv teAgregoEntrada: RF .
	
	"Conecto el cable a ambas entradas"
	tv conectarEntrada: 1 conCable: cable.
	tv conectarEntrada: 2 conCable: cable. 
	
	"Si todo salio bien, debera estar conectado el cable a una sola entrada
	(no porque sea el mismo cable, sino porque en una misma pantalla solo
	puede conectarse un cable)"
	self assert: 1 equals: (tv entradas count: [ :unaEntrada | unaEntrada tenesUnCableConectado ] ).! !

TestCase subclass: #TestRespuestasTP1
	instanceVariableNames: 'led lcd crt monitor smartTv tv cable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PruebaPabloTestingTP1'!

!TestRespuestasTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 02:49'!
setUp


"Voy a crear las tecnologas."
	crt := CRT new .
	led := LED new.
	lcd := LCD new.
	
"Voy a crear un cable"	
	cable := Cable  new.
	
"Voy a crear las pantallas, pero para poder relizar mejor las pruebas en vez de usar nuestra implementacin del NEW, los creamos a mano, salvo el SmartTV ya que este solo puede ser LED."

	monitor := Monitors new.
	monitor inicializarConTamanio: 17 conPPP: 100.

	tv := TV new.
	tv inicializarConTamanio: 10 conPPP: 100.
	
	smartTv := SmartTV  teFabricoConTecnologia: led conTamanio: 10  conPPP: 100. ! !

!TestRespuestasTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/7/2013 03:09'!
testRespuestaPunto1
	"1) Saber el consumo de energa por hora de una pantalla cuando le envan cierta seal de entrada."

	"Esto lo vamos a probar con 3 casos particulares:"
	
	"------------------- Caso 1 -------------------"
	"Este es el ejemplo que nos dan en el enunciado:
	Monitor LCD de 17 pulgadas y 100ppp, con una entrada VGA de 720p"
	monitor tecnologia: lcd.
	cable definicion: 720.
	monitor teAgregoEntrada: VGAcable .
	monitor conectarEntrada: 1 conCable: cable. 
	"El resultado sera por ser LCD y tener un cable conectado a una entrada VGA la siguiente:
	4*tamanioLCD (17) + 0.001 * definicionCable 720)"
	self assert: 68.72 equals: monitor tuConsumo . 
	
	"------------------- Caso 2 -------------------"	
	"Usamos una tv CRT, pero con una entrada AudioVideo y una entrada RF. Lo conecto UNICAMENTE a la entrada AudioVideo  "
	tv tecnologia: crt.	
	tv teAgregoEntrada: AudioVideo .
	tv teAgregoEntrada: RF.
	cable definicion:  100000.
	tv conectarEntrada: 1 conCable: cable . 
	"El resultado sera: 5*tamao(10) + 10% del consumo base (5)"	
	self  assert: 55 equals: tv tuConsumo . 
	
	"------------------- Caso 3 -------------------"	
	"Usamos una SmartTv  conectando el cable con una entrada HDMI, y luego lo conectamos con una entrada RF. "	
	smartTv teAgregoEntrada: HDMI  .
	smartTv teAgregoEntrada: RF .
	cable definicion:  100.
	smartTv  conectarEntrada: 1 conCable: cable. 
	"El resultado sera, por ser LED y tener conectado el cable HDMI: 1*tamao(10) + 20% del consumo base (2)"	
	self  assert: 12 equals: smartTv tuConsumo . 	
	smartTv conectarEntrada: 2 conCable: cable .
	"El resultado sera, por ser LED y tener ahora conectado el cable RF: 1*tamao(10) + consumoDeRF (0)"
	 self  assert: 10 equals: smartTv  tuConsumo .
! !

!TestRespuestasTP1 methodsFor: 'as yet unclassified' stamp: 'jmd 4/8/2013 16:15'!
testRespuestaPunto2
	"2)Saber la definicion maxima de una pantalla y si es posible conectarla con un cable particular (no se puede
	conectar un cable de definicion mayor al que permita la pantalla)."
	
	"------------------- Caso 1 -------------------"
	monitor tamanio: 2 sqrt.
	monitor tecnologia: lcd.
	cable definicion: 720.
	monitor teAgregoEntrada: VGAcable .
	monitor conectarEntrada: 1 conCable: cable. 
	"El resultado deberia 100 para la deficinion maxima"
	self assert: 100 equals: monitor tuDefinicionMaxima. 
	"No deberia poder conectarse ya que el cable tiene definicion mayor"
	self deny: (monitor sePuedeConectar: cable).
	cable definicion: 90.
	"ahora si deberia poder"
	self assert: (monitor sePuedeConectar: cable).

	

! !

!TestRespuestasTP1 methodsFor: 'as yet unclassified' stamp: 'Pablo 4/9/2013 21:44'!
testRespuestaPunto3
	"2)Saber si una configuracin entrada/pantalla es buena para jugar videojuegos."

	| cablePocoRefresco |	
	
	"Si la pantalla tiene tasa de refresco real (o sea, tomando en cuenta la entrada utilizada, en el caso que se utilice alguna) es superior a los 100Hz, entonces
	la pantalla es buena para jugar videojuegos."
	
	"Seteamos la pantalla con todo lo necesario para este Test."	
	smartTv tecnologia: lcd.
	smartTv teAgregoEntrada: VGAcable .
	smartTv teAgregoEntrada: RF.
	smartTv teAgregoEntrada: AudioVideo .
	smartTv teAgregoEntrada: HDMI .

	tv teAgregoEntrada: VGAcable .
	
	"Seteamos el cable del escenario con una tasa de refresco predeterminada, y adems creamos otro cable ms para 
	hacer este test mucho ms claro. La definicin la seteamos en 0 para no tener problemas al momento de conectarlo."
	
	cable refresco: 101.
	cable definicion: 0.
	
	cablePocoRefresco := Cable new.
	cablePocoRefresco refresco: 50 .
	cablePocoRefresco definicion: 0.


	"------------------- Caso 1: entrada VGA  -------------------"	
	smartTv conectarEntrada: 1 conCable: cablePocoRefresco . 	
	"El resultado deberia 120 por tomar el refresco de la entrada (siempre va a ser 120)"
	self assert: 120 equals: smartTv tuRefrescoReal . 
	"Como el refresco real es mayor a 100 Hz,  es bueno para jugar videojuegos."
	self assert: (smartTv sosBuenaParaJuegos ).
	
	"En el caso de la TV comn, la misma no ser apta para jugar videojuegos."
	tv conectarEntrada: 1 conCable: cable . 
	self assert: 90 equals:  tv tuRefrescoReal . "90Hz es menor que los 120Hz de la entrada VGA."
	self deny: ( tv sosBuenaParaJuegos ).

	"------------------- Caso 2: entrada RF -------------------"	
	smartTv conectarEntrada: 2 conCable: cablePocoRefresco . 	
	"El resultado deberia ser 50 por tomar el refresco del cable."
	self assert: 50 equals: smartTv tuRefrescoReal . 
	"Como el refresco real es menor o igual 100 Hz,  no es bueno para jugar videojuegos."
	self deny: ( smartTv sosBuenaParaJuegos ).		
	"Si utilizamos la entrada RF, siempre el mximo de refresco va a ser 50Hz, entonces NUNCA VA A SER BUENA PARA VIDEOJUEGOS"


	"------------------- Caso 3: entrada AudioVideo  -------------------"	
	smartTv conectarEntrada: 3 conCable: cable . 	
	"El resultado deberia ser 50 por tomar el refresco de la entrada."
	self assert: 50 equals: smartTv tuRefrescoReal . 
	"Como el refresco real es menor a 100 Hz,  no es bueno para jugar videojuegos."
	self deny: ( smartTv sosBuenaParaJuegos ).
	
	"Al igual que con el caso de la entrada RF, el mximo es 50 Hz y por lo tanto NUNCA VA A SER BUENA PARA VIDEOJUEGOS."

	"------------------- Caso 4: entrada HDMI -------------------"	
	smartTv conectarEntrada: 4 conCable: cablePocoRefresco . 	
	"El resultado deberia ser 50 por tomar el refresco del cable."
	self assert: 50 equals: smartTv tuRefrescoReal . 
	"Como el refresco real es menor o igual a 100 Hz,  no es bueno para jugar videojuegos."
	self deny: ( smartTv sosBuenaParaJuegos ).
	
	smartTv conectarEntrada: 4 conCable: cable.
	"El resultado debera ser 101 por tomar el refresco del cable."
	 self assert: 101 equals: smartTv tuRefrescoReal . 
	"Como el refresco real es mayor a 100 Hz, es bueno para jugar videojuegos."
	self assert: (smartTv sosBuenaParaJuegos ).
! !
